summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ricardson Williams <ricardsonwilliams@yahoo.com.br>2010-05-11 20:01:44 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:44 +0200
commit7053e3e8a68f6bb43c4819cd1ee454ac3d7bb983 (patch)
tree824610fcffd709b3dcc51530e688f0f4a4cb3b20
parent2bc0efd73ea73d28b0c180711de99249c8609878 (diff)
downloadslackbuilds-7053e3e8a68f6bb43c4819cd1ee454ac3d7bb983.tar.gz
slackbuilds-7053e3e8a68f6bb43c4819cd1ee454ac3d7bb983.tar.xz
network/tcptrack: Added to 12.0 repository
-rw-r--r--network/tcptrack/README6
-rw-r--r--network/tcptrack/slack-desc19
-rw-r--r--network/tcptrack/tcptrack.SlackBuild77
-rw-r--r--network/tcptrack/tcptrack.info8
4 files changed, 110 insertions, 0 deletions
diff --git a/network/tcptrack/README b/network/tcptrack/README
new file mode 100644
index 0000000000..79a0a8f511
--- /dev/null
+++ b/network/tcptrack/README
@@ -0,0 +1,6 @@
+tcptrack is a sniffer which displays information about TCP connections it
+sees on a network interface. It passively watches for connections on the
+network interface, keeps track of their state and displays a list of
+connections in a manner similar to the unix 'top' command. It displays
+source and destination addresses and ports, connection state, idle time,
+and bandwidth usage.
diff --git a/network/tcptrack/slack-desc b/network/tcptrack/slack-desc
new file mode 100644
index 0000000000..75ced974a9
--- /dev/null
+++ b/network/tcptrack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tcptrack: tcptrack (display information about TCP connections)
+tcptrack:
+tcptrack: It passively watches for connections on a network interface,
+tcptrack: keeps track of their state, and displays a list of connections
+tcptrack: in a manner similar to the unix 'top' command.
+tcptrack: It displays source and destination addresses and ports,
+tcptrack: connection state, idle time, and bandwidth usage.
+tcptrack:
+tcptrack: Homepage: http://www.rhythm.cx/~steve/devel/tcptrack/
+tcptrack:
+tcptrack:
diff --git a/network/tcptrack/tcptrack.SlackBuild b/network/tcptrack/tcptrack.SlackBuild
new file mode 100644
index 0000000000..8b04bfc4ef
--- /dev/null
+++ b/network/tcptrack/tcptrack.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script of monit
+
+# Copyright 2006 Ricardson Williams <ricardsonwilliams at yahoo.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tcptrack
+VERSION=1.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README TODO INSTALL NEWS AUTHORS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/tcptrack/tcptrack.info b/network/tcptrack/tcptrack.info
new file mode 100644
index 0000000000..28829cdfc7
--- /dev/null
+++ b/network/tcptrack/tcptrack.info
@@ -0,0 +1,8 @@
+PRGNAM="tcptrack"
+VERSION="1.2.0"
+HOMEPAGE="http://www.rhythm.cx/~steve/devel/tcptrack/"
+DOWNLOAD="http://www.rhythm.cx/~steve/devel/tcptrack/release/1.2.0/source/tcptrack-1.2.0.tar.gz"
+MD5SUM="cb7ae4a9d573933732c84ebbe6f0ccda"
+MAINTAINER="Ricardson Williams"
+EMAIL="ricardsonwilliams@yahoo.com.br"
+APPROVED="rworkman"